Home | History | Annotate | Download | only in jpeg

Lines Matching refs:echo

27 progname=`$echo "$0" | sed 's%^.*/%%'`
55 echo "$modename: ltconfig version \`$LTCONFIG_VERSION' does not match $PROGRAM version \`$VERSION'" 1>&2
56 echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
61 echo "$modename: not configured to build any kind of library" 1>&2
62 echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
72 show="$echo"
83 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
110 echo "$PROGRAM (GNU $PACKAGE) $VERSION"
119 echo "host: $host"
121 echo "enable shared libraries"
123 echo "disable shared libraries"
126 echo "enable static libraries"
128 echo "disable static libraries"
148 $echo "$modename: unrecognized option \`$arg'" 1>&2
149 $echo "$help" 1>&2
161 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
162 $echo "$help" 1>&2
199 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
201 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
210 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
211 $echo "$help" 1>&2
235 $echo "$modename: you cannot specify the output filename with \`-o'" 1>&2
236 $echo "$help" 1>&2
256 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
276 libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
293 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
296 *.lo) obj=`$echo "X$libobj" | $Xsed -e 's/\.lo$/.o/'` ;;
298 $echo "$modename: cannot determine name of library object from \`$srcfile'" 1>&2
304 $echo "$modename: you must specify a compilation command" 1>&2
305 $echo "$help" 1>&2
360 $show "echo timestamp > $libobj"
361 $run eval "echo timestamp > \$libobj" || exit $?
400 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
466 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
496 dir=`$echo "X$arg" | $Xsed -e 's%^-L\(.*\)$%\1%'`
502 $echo "$modename: \`-L$dir' cannot specify a relative directory" 1>&2
546 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
574 dlprefiles="$dlprefiles "`$echo "X$arg" | $Xsed -e 's/\.lo$/\.o/'`
591 $echo "$modename: \`$arg' is not a valid libtool archive" 1>&2
602 $echo "$modename: \`$arg' contains no -rpath information" 1>&2
613 $echo "$modename: cannot find name of link library for \`$arg'" 1>&2
618 name=`$echo "X$arg" | $Xsed -e 's%^.*/%%' -e 's/\.la$//' -e 's/^lib//'`
619 dir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
718 $echo "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
736 $echo "$modename: \`$hardcode_action' is an unknown hardcode action" 1>&2
756 $echo "$modename: cannot find static library for \`$arg'" 1>&2
783 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
800 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
801 $echo "$help" 1>&2
806 $echo "$modename: you cannot specify both \`-version-info' and \`-release'" 1>&2
807 $echo "$help" 1>&2
815 $echo "$modename: you must specify an output file" 1>&2
816 $echo "$help" 1>&2
821 $echo "$modename: output file \`$output' must have no directory components" 1>&2
839 $echo "$modename: libtool library \`$arg' must begin with \`lib'" 1>&2
840 $echo "$help" 1>&2
845 name=`$echo "X$output" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
857 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects:$objs" 2>&1
863 $echo "$modename: libtool library \`$output' may not depend on uninstalled libraries:$link_against_libtool_libs" 1>&2
868 $echo "$modename: warning: \`-dlopen' is ignored while creating libtool libraries" 1>&2
870 compile_command=`$echo "X$compile_command" | $Xsed -e "s% @SYMFILE@%%"`
871 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s% @SYMFILE@%%"`
875 $echo "$modename: you must specify an installation directory with \`-rpath'" 1>&2
876 $echo "$help" 1>&2
882 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
892 $echo "$modename: too many parameters to \`-version-info'" 1>&2
893 $echo "$help" 1>&2
905 $echo "$modename: CURRENT \`$current' is not a nonnegative integer" 1>&2
906 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
914 $echo "$modename: REVISION \`$revision' is not a nonnegative integer" 1>&2
915 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
923 $echo "$modename: AGE \`$age' is not a nonnegative integer" 1>&2
924 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
930 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
931 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
971 $echo "$modename: unknown library version type \`$version_type'" 1>&2
972 echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
994 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
1027 test -z "$pic_flag" && libobjs=`$echo "X$libobjs " | $Xsed -e 's/\.lo /.o /g' -e 's/ $//g'`
1058 $echo "$modename: error: cannot link libtool libraries into reloadable objects" 1>&2
1063 $echo "$modename: warning: \`-l' and \`-L' are ignored while creating objects" 1>&2
1067 $echo "$modename: warning: \`-dlopen' is ignored while creating objects" 1>&2
1069 compile_command=`$echo "X$compile_command" | $Xsed -e "s% @SYMFILE@%%"`
1070 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s% @SYMFILE@%%"`
1074 $echo "$modename: warning: \`-rpath' is ignored while creating objects" 1>&2
1078 $echo "$modename: warning: \`-version-info' is ignored while creating objects" 1>&2
1082 $echo "$modename: warning: \`-release' is ignored while creating objects" 1>&2
1088 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
1092 obj=`$echo "X$output" | $Xsed -e 's/\.lo$/.o/'`
1104 reload_objs="$objs"`$echo "X$libobjs " | $Xsed -e 's/[^ ]*\.a //g' -e 's/\.lo /.o /g' -e 's/ $//g'`
1122 $show "echo timestamp > $libobj"
1123 $run eval "echo timestamp > $libobj" || exit $?
1150 $echo "$modename: warning: \`-version-info' is ignored while linking programs" 1>&2
1154 $echo "$modename: warning: \`-release' is ignored while creating objects" 1>&2
1196 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@HARDCODE_LIBDIRS@%$hardcode_libdirs%g"`
1197 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@HARDCODE_LIBDIRS@%$hardcode_libdirs%g"`
1202 compile_command=`$echo "X$compile_command " | $Xsed -e 's/\.lo /.o /g' -e 's/ $//'`
1203 finalize_command=`$echo "X$finalize_command " | $Xsed -e 's/\.lo /.o /g' -e 's/ $//'`
1214 dlprefiles=`$echo "X$objs$dlprefiles " | $Xsed -e 's/\.lo /.o /g' -e 's/ $//'`
1247 count=`echo "X$wcout" | $Xsed -e 's/^[ ]*\([0-9][0-9]*\).*$/\1/'`
1257 $echo > "$objdir/$dlsyms" "\
1275 echo '/* NONE */' >> "$objdir/$dlsyms"
1278 $echo >> "$objdir/$dlsyms" "\
1305 $echo >> "$objdir/$dlsyms" "\
1316 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
1327 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$objdir/${output}S.o%"`
1328 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$objdir/${output}S.o%"`
1330 test -n "$dlfiles$dlprefiles" && $echo "$modename: warning: \`-dlopen' and \`-dlpreopen' are ignored without \`-export-dynamic'" 1>&2
1335 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
1338 compile_command=`$echo "X$compile_command" | $Xsed -e "s% @SYMFILE@%%"`
1339 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s% @SYMFILE@%%"`
1344 compile_command=`$echo "X$compile_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
1345 finalize_command=`$echo "X$finalize_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
1354 compile_command=`$echo "X$compile_command" | $Xsed -e 's%@OUTPUT@%'"$objdir/$output"'%g'`
1355 finalize_command=`$echo "X$finalize_command" | $Xsed -e 's%@OUTPUT@%'"$objdir/$output"'T%g'`
1410 $echo "$modename: warning: using a buggy system linker" 1>&2
1411 $echo "$modename: relinking will be required before \`$output' can be installed" 1>&2
1422 finalize_command=`$echo "X$finalize_command" | $Xsed -e "$sed_quote_subst"`
1424 # Quote $echo for shipping.
1425 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
1432 $echo > $output "\
1459 # When we are sourced in execute mode, \$file and \$echo are already set.
1462 echo=\"$qecho\"
1466 $echo >> $output "\
1469 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
1475 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
1485 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
1500 $echo >> $output "\
1505 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/:*\$//'\`
1511 $echo >> $output "\
1521 \$echo \"\$0: cannot exec \$program \${1+\"\$@\"}\"
1526 \$echo \"\$0: error: \$progdir/\$program does not exist\" 1>&2
1527 \$echo \"This script is just a wrapper for \$program.\" 1>&2
1528 echo \"See the $PACKAGE documentation for more information.\" 1>&2
1542 oldobjs="$objs"`$echo "X$libobjs " | $Xsed -e 's/[^ ]*\.a //g' -e 's/\.lo /.o /g' -e 's/ $//g'`
1569 $echo > $output "\
1612 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
1628 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1676 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1686 $echo "$modename: you must specify an install program" 1>&2
1687 $echo "$help" 1>&2
1692 $echo "$modename: the \`$prev' option requires an argument" 1>&2
1693 $echo "$help" 1>&2
1699 $echo "$modename: no file or destination specified" 1>&2
1701 $echo "$modename: you must specify a destination" 1>&2
1703 $echo "$help" 1>&2
1708 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
1716 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
1718 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
1723 $echo "$modename: \`$dest' is not a directory" 1>&2
1724 $echo "$help" 1>&2
1735 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
1736 $echo "$help" 1>&2
1764 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
1765 $echo "$help" 1>&2
1791 dir="`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/"
1845 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
1860 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
1867 staticdest=`$echo "X$destfile" | $Xsed -e 's/\.lo$/\.o/'`
1874 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
1875 $echo "$help" 1>&2
1889 staticobj=`$echo "X$file" | $Xsed -e 's/\.lo$/\.o/'`
1911 $echo "$modename: invalid libtool wrapper script \`$file'" 1>&2
1926 libfile="$libdir/`$echo "X$lib" | $Xsed -e 's%^.*/%%g'`"
1928 $echo "$modename: warning: \`$lib' contains no -rpath information" 1>&2
1931 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
1938 $echo "$modename: warning: relinking \`$file' on behalf of your buggy system linker" 1>&2
1942 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
1947 $echo "$modename: warning: cannot relink \`$file' on behalf of your buggy system linker" 1>&2
1951 file=`$echo "X$file" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
1962 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
1982 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
2026 echo "------------------------------------------------------------------------------"
2027 echo "Libraries have been installed in:"
2029 echo " $libdir"
2031 echo
2032 echo "To link against installed libraries in a given directory, LIBDIR,"
2033 echo "you must use the \`-LLIBDIR' flag during linking."
2034 echo
2035 echo " You will also need to do one of the following:"
2037 echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
2038 echo " during execution"
2041 echo " - add LIBDIR to the \`$runpath_var' environment variable"
2042 echo " during linking"
2048 echo " - use the \`$flag' linker flag"
2051 echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
2053 echo
2054 echo "See any operating system documentation about shared libraries for"
2055 echo "more information, such as the ld(1) and ld.so(8) manual pages."
2056 echo "------------------------------------------------------------------------------"
2067 $echo "$modename: you must specify a COMMAND" 1>&2
2068 $echo "$help"
2076 $echo "$modename: \`$file' is not a file" 1>&2
2077 $echo "$help" 1>&2
2087 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
2088 $echo "$help" 1>&2
2105 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
2109 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
2115 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
2122 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
2127 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
2169 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
2180 $echo "$modename: cannot exec \$cmd$args"
2184 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
2185 $echo "export $shlibpath_var"
2186 $echo "$cmd$args"
2206 $echo "$modename: you must specify an RM program" 1>&2
2207 $echo "$help" 1>&2
2212 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
2214 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
2265 oldobj=`$echo "X$name" | $Xsed -e 's/\.lo$/\.o/'`
2282 $echo "$modename: you must specify a MODE" 1>&2
2283 $echo "$generic_help" 1>&2
2288 $echo "$modename: invalid operation mode \`$mode'" 1>&2
2289 $echo "$generic_help" 1>&2
2295 "") $echo \
2324 $echo \
2338 $echo \
2358 $echo \
2370 $echo \
2383 $echo \
2425 $echo
2439 $echo "$modename: invalid operation mode \`$mode'" 1>&2
2440 $echo "$help" 1>&2
2445 echo
2446 $echo "Try \`$modename --help' for more information about other modes."